1.4

1.4

patch /v1/alerts/{id}

Description

Set the Alert

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.4-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
Alert ID
Example : 3234bd0f12fa4d0b97ab9feff6c09b8e
stringNone
bodybody
required

AlertSetRequest

Responses

HTTP CodeDescriptionSchema
200OKAlertSetResponseV1Dot3
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/alerts/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.4"

Request body

{
    "dimension": {
        "key": "resource_id",
        "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
    },
    "dimensions": [],
    "evaluation_count": 3,
    "individual_items": [
        {
            "key": "VolumeID",
            "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
        }
    ],
    "level": "HIGH",
    "lower_bound": 80.0,
    "metric_id": "f13aab3b88c341b2bc73f8925a0e8cc5",
    "missing_data_option": "BREACHING",
    "namespace_id": "1d9d05af5c624f2cb80a45f2c911e2f4",
    "operator": "RANGE",
    "period": 300,
    "statistic": "AVG",
    "threshold": 80.0,
    "upper_bound": 90.0,
    "violation_count": 2
}

Example HTTP response

Response 200

{
    "dimension": {
        "key": "resource_id",
        "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
    },
    "dimensions": [
        {
            "key": "resource_id",
            "value": "291c3d2396cb4fd2b532db8903e0408a"
        }
    ],
    "evaluation_count": 3,
    "id": "3234bd0f12fa4d0b97ab9feff6c09b8e",
    "individual_items": [
        {
            "key": "VolumeID",
            "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
        }
    ],
    "level": "HIGH",
    "lower_bound": 80.0,
    "metric_id": "f13aab3b88c341b2bc73f8925a0e8cc5",
    "missing_data_option": "BREACHING",
    "modified_at": "2026-06-24T10:14:52.735162",
    "namespace_id": "1d9d05af5c624f2cb80a45f2c911e2f4",
    "operator": "RANGE",
    "period": 300,
    "statistic": "AVG",
    "threshold": 80.0,
    "upper_bound": 90.0,
    "violation_count": 2
}